package com.ywt.outpatient.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "withdraw_order")
public class WithdrawOrder {
    @Id
    private Integer id;

    /**
     * 订单号
     */
    @Column(name = "order_no", nullable = false)
    private String orderNo;

    /**
     * 金额
     */
    @Column(name = "amount", nullable = false)
    private int amount;

    /**
     * 时间戳
     */
    @Column(name = "create_time")
    private Date createTime;

    /**
     * 用戶openId
     */
    @Column(name = "open_id")
    private String openId;

    /**
     * 用户id
     */
    @Column(name = "user_id")
    private int userId;

    /**
     * 状态 0 待处理 1 成功 2 失败
     */
    @Column(name = "status")
    private int status;

    /**
     * 内部支付实例唯一编码
     */
    @Column(name = "internal_pay_no")
    private String internalPayNo;

    /**
     * 微信支付分配的商户号
     */
    @Column(name = "mch_id")
    private String mchId;

    /**
     * 微信订单号
     */
    @Column(name = "payment_no")
    private String paymentNo;

    /**
     * ip地址
     */
    @Column(name = "ip_address")
    private String ipAddress;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public int getAmount() {
        return amount;
    }

    public void setAmount(int amount) {
        this.amount = amount;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public int getUserId() {
        return userId;
    }

    public void setUserId(int userId) {
        this.userId = userId;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getInternalPayNo() {
        return internalPayNo;
    }

    public void setInternalPayNo(String internalPayNo) {
        this.internalPayNo = internalPayNo;
    }

    public String getMchId() {
        return mchId;
    }

    public void setMchId(String mchId) {
        this.mchId = mchId;
    }

    public String getPaymentNo() {
        return paymentNo;
    }

    public void setPaymentNo(String paymentNo) {
        this.paymentNo = paymentNo;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public String getIpAddress() {
        return ipAddress;
    }

    public void setIpAddress(String ipAddress) {
        this.ipAddress = ipAddress;
    }
}
